from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()

# Read long description from the readme.md file
with open("README.md") as f:
    readme = f.read()

with open("LICENSE") as f:
    license = f.read()

setup(
    name="mintgbq",
    version="1.1.13",
    description="A package designed for helping everyone in the team to work with data ingestion",
    long_description_content_type="text/markdown",
    long_description=readme,
    author="Nopporn Phantawee",
    author_email="n.phantawee@gmail.com",
    url="https://github.com/noppGithub/mintgbq",
    license="MIT",
    packages=find_packages(exclude=("tests", "docs")),
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3 :: Only",
    ],
    install_requires=[
        "boto3>=1.10",
        "cx-Oracle>=8.0.1",
        "fastparquet>=0.5.0",
        "google-cloud-bigquery>=2.28.1",
        "mysql-connector-python>=8.0.19",
        "Office365-REST-Python-Client==2.1.5",
        "openpyxl>=3.0.0",
        "pandas>=1.3.1",
        "psycopg2-binary>=2.7.0",
        "pyarrow>=5.0",
        "pyodbc>=4.0",
        "pymysql>=1.0.0",
        "PyMySQL>=1.0.2",
        "pyodbc>=4.0.0",
        "pytz>=2021.1",
        "PyYAML>=5.4",
        "requests>=2.1.0",
    ],
    extras_require={
        "dev": ["check-manifest"],
        "test": ["coverage"],
    },
    python_requires=">=3.6, <4",
)
